package Utils;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.time.Duration;

public class BaseTest {
    protected WebDriver obj;

    public void setUp()
    {
        obj = new FirefoxDriver();

        //Applying wait for synchronization
        obj.manage().timeouts().implicitlyWait(Duration.ofSeconds(5));

        WebDriverWait wait = new WebDriverWait(obj,Duration.ofSeconds(8));
    }


    public  void tearDown()
    {
        if(obj!=null)
          obj.close();
    }


}
