package PageObjectClasses;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;

public class HomePage {


    // Web driver object create

   protected WebDriver obj;

    private By WelcomeMessage = By.xpath("//div[@class='login-container']//h2");
    private By LogoutButton = By.className("logout-btn");


    // create constructor

    public HomePage(WebDriver obj)
    {
        this.obj=obj;
    }

    // methods.

    public String getText()
    {
        String fulltext = obj.findElement(WelcomeMessage).getText();
        String []text= fulltext.split(" ");
        return text[0];
    }

    public void clickLogout()
    {
        obj.findElement(LogoutButton).click();
    }


}
