package TestClasses;
import PageObjectClasses.HomePage;
import PageObjectClasses.LoginPage;
import org.testng.Assert;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;
import Utils.BaseTest;

public class LoginTest extends BaseTest {

    @BeforeMethod
    public void setUpTest()
    {
        setUp();
    }

    @Test(dataProvider = "sendData")
    public void LoginTest(String Username, String Password)
    {
        obj.get("https://rahulshettyacademy.com/locatorspractice/");

        // create object of page classes for use;
        LoginPage login = new LoginPage(obj);
        HomePage home = new HomePage(obj);

        //-------------> now write test.
        login.enterUsername(Username);
        login.enterPassword(Password);
        login.clickSignButton();


      //  --------------> Add Assertion.
        Assert.assertEquals(Password,"rahulshettyacademy");

    }

    @DataProvider
    public Object[][] sendData()
    {
        // Correct the index order for username and password in the array
        Object[][] data = new Object[3][2];

        data[0][0] = "Zain"; // username
        data[0][1] = "rahulshettyacademy"; // password

        data[1][0] = "yawar"; // username
        data[1][1] = "rahulshettyacademy"; // password

        data[2][0] = "Haseeb"; // username
        data[2][1] = "hi"; // password

        return data;
    }

    @AfterMethod
    public void tearDownTest()
    {
        tearDown();
    }
}
